MANCONV(1)

NUME
manconv - convertește pagina de manual de la o codificare la alta

SINOPSIS
manconv -f [codificarea-actuală[:codificarea-actuală...]] -t codificarea-dorită [-dqhV] [nume-fișier]

DESCRIERE
manconv convertește o pagină de manual de la o codificare la alta, precum iconv. Spre deosebire de iconv, poate încerca mai multe codificări de intrare posibile în mod secvențial. Acest lucru este util pentru paginile manuale instalate în directoare fără o declarație explicită de codificare, deoarece acestea pot fi în UTF-8 sau într-un set de caractere moștenit.

Dacă o declarație de codificare este găsită în prima linie a paginii de manual, acea declarație suprascrie orice codificări de intrare specificate în linia de comandă a lui manconv. Declarațiile de codificare au următoarea formă:

    '\" -*- coding: UTF-8 -*-

sau (dacă vor fi, de asemenea, declarate preprocesoarele de pagină de manual):

    '\" t -*- coding: ISO-8859-1 -*-

OPȚIUNI

-f codificări, --from-code codificări
    Încearcă fiecare dintre codificări (o listă separată de două puncte) în mod secvențial, ca codificare de intrare. Comportamentul implicit, este să ghicească codificările probabile de intrare, pe baza numelui fișierului.

-t codificarea, --to-code codificarea
    Convertește pagina de manual la codificarea.

-q, --quiet
    Nu emite mesaje de eroare atunci când pagina nu poate fi convertită.

-d, --debug
    Imprimă informațiile de depanare.

-h, --help
    Imprimă un mesaj de ajutor și iese.

-V, --version
    Afișează informații despre versiune.

CONSULTAȚI ȘI
iconv(1), man(1), man-recode(1)

AUTOR
Colin Watson (cjwatson@debian.org).

ERORI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db